WARNING JSON Schema version DRAFT_V2 configured in policy, but schema is version DRAFT_V4 in ssg log

book

Article ID: 127160

calendar_today

Updated On:

Products

STARTER PACK-7 CA Rapid App Security CA API Gateway

Issue/Introduction

We are seeing the following WARNING message in the ssg log. What does it mean and does it have any impact on the policy/services?

WARNING 902 com.l7tech.external.assertions.jsonschema.server.ServerJSONSchemaAssertion: JSON Schema version DRAFT_V2 configured in policy, but schema is version DRAFT_V4. Validating as DRAFT_V2
 

Cause

This warning is a mismatched in the default Schema version introduced by the SSG upgrade since 9.2 or 9.3.

Environment

CA API Gateway 9.3
OTK 4.3.1

Resolution

Unfortunately, the OTK assertion who raises the warning is from a READ-ONLY policy, which is not modifiable.
Having said that, this warning is merely informational and does not have any impact on the services. 
The issue is resolved in OTK4.3.1 CR02

Additional Information

Validate JSON Schema Assertion